import { StyleSheetCfg } from '../../interface';
export declare const createDarkStyleSheet: (cfg?: StyleSheetCfg) => {
    backgroundColor: string;
    brandColor: string;
    subColor: string;
    paletteQualitative10: string[];
    paletteQualitative20: string[];
    paletteSemanticRed: string;
    paletteSemanticGreen: string;
    paletteSemanticYellow: string;
    paletteSequence: string[];
    fontFamily: string;
    axisLineBorderColor: string;
    axisLineBorder: number;
    axisLineDash: any;
    axisTitleTextFillColor: string;
    axisTitleTextFontSize: number;
    axisTitleTextLineHeight: number;
    axisTitleTextFontWeight: string | number;
    axisTitleSpacing: number;
    axisDescriptionIconFillColor: string;
    axisTickLineBorderColor: string;
    axisTickLineLength: number;
    axisTickLineBorder: number;
    axisSubTickLineBorderColor: string;
    axisSubTickLineLength: number;
    axisSubTickLineBorder: number;
    axisLabelFillColor: string;
    axisLabelFontSize: number;
    axisLabelLineHeight: number;
    axisLabelFontWeight: string | number;
    axisLabelOffset: number;
    axisGridBorderColor: string;
    axisGridBorder: number;
    axisGridLineDash: any;
    legendTitleTextFillColor: string;
    legendTitleTextFontSize: number;
    legendTitleTextLineHeight: number;
    legendTitleTextFontWeight: string | number;
    legendMarkerColor: string;
    legendMarkerSpacing: number;
    legendMarkerSize: number;
    legendCircleMarkerSize: number;
    legendSquareMarkerSize: number;
    legendLineMarkerSize: number;
    legendItemNameFillColor: string;
    legendItemNameFontSize: number;
    legendItemNameLineHeight: number;
    legendItemNameFontWeight: string | number;
    legendItemSpacing: number;
    legendItemMarginBottom: number;
    legendPadding: number[];
    legendHorizontalPadding: number[];
    legendVerticalPadding: number[];
    legendPageNavigatorMarkerSize: number;
    legendPageNavigatorMarkerInactiveFillColor: string;
    legendPageNavigatorMarkerInactiveFillOpacity: number;
    legendPageNavigatorMarkerFillColor: string;
    legendPageNavigatorMarkerFillOpacity: number;
    legendPageNavigatorTextFillColor: string;
    legendPageNavigatorTextFontSize: number;
    sliderRailFillColor: string;
    sliderRailBorder: number;
    sliderRailBorderColor: any;
    sliderRailWidth: number;
    sliderRailHeight: number;
    sliderLabelTextFillColor: string;
    sliderLabelTextFontSize: number;
    sliderLabelTextLineHeight: number;
    sliderLabelTextFontWeight: string | number;
    sliderHandlerFillColor: string;
    sliderHandlerWidth: number;
    sliderHandlerHeight: number;
    sliderHandlerBorder: number;
    sliderHandlerBorderColor: string;
    annotationArcBorderColor: string;
    annotationArcBorder: number;
    annotationLineBorderColor: string;
    annotationLineBorder: number;
    annotationLineDash: any;
    annotationTextFillColor: string;
    annotationTextFontSize: number;
    annotationTextLineHeight: number;
    annotationTextFontWeight: string | number;
    annotationTextBorderColor: any;
    annotationTextBorder: number;
    annotationRegionFillColor: string;
    annotationRegionFillOpacity: number;
    annotationRegionBorder: number;
    annotationRegionBorderColor: any;
    annotationDataMarkerLineLength: number;
    tooltipCrosshairsBorderColor: string;
    tooltipCrosshairsBorder: number;
    tooltipCrosshairsLineDash: any;
    tooltipContainerFillColor: string;
    tooltipContainerFillOpacity: number;
    tooltipContainerShadow: string;
    tooltipContainerBorderRadius: number;
    tooltipTextFillColor: string;
    tooltipTextFontSize: number;
    tooltipTextLineHeight: number;
    tooltipTextFontWeight: string | number;
    labelFillColor: string;
    labelFillColorDark: string;
    labelFillColorLight: string;
    labelFontSize: number;
    labelLineHeight: number;
    labelFontWeight: string | number;
    labelBorderColor: any;
    labelBorder: number;
    innerLabelFillColor: string;
    innerLabelFontSize: number;
    innerLabelLineHeight: number;
    innerLabelFontWeight: string | number;
    innerLabelBorderColor: any;
    innerLabelBorder: number;
    overflowLabelFillColor: string;
    overflowLabelFillColorDark: string;
    overflowLabelFillColorLight: string;
    overflowLabelFontSize: number;
    overflowLabelLineHeight: number;
    overflowLabelFontWeight: string | number;
    overflowLabelBorderColor: string;
    overflowLabelBorder: number;
    labelLineBorder: number;
    labelLineBorderColor: string;
    cSliderRailHieght: number;
    cSliderBackgroundFillColor: string;
    cSliderBackgroundFillOpacity: number;
    cSliderForegroundFillColor: string;
    cSliderForegroundFillOpacity: number;
    cSliderHandlerHeight: number;
    cSliderHandlerWidth: number;
    cSliderHandlerFillColor: string;
    cSliderHandlerFillOpacity: number;
    cSliderHandlerHighlightFillColor: string;
    cSliderHandlerBorderColor: string;
    cSliderHandlerBorder: number;
    cSliderHandlerBorderRadius: number;
    cSliderTextFillColor: string;
    cSliderTextFillOpacity: number;
    cSliderTextFontSize: number;
    cSliderTextLineHeight: number;
    cSliderTextFontWeight: string | number;
    cSliderTextBorderColor: any;
    cSliderTextBorder: number;
    scrollbarTrackFillColor: string;
    scrollbarThumbFillColor: string;
    scrollbarThumbHighlightFillColor: string;
    pointSizeRange?: [number, number];
    pointFillColor: string;
    pointFillOpacity: number;
    pointSize: number;
    pointBorder: number;
    pointBorderColor: string;
    pointBorderOpacity: number;
    pointActiveFillColor?: string;
    pointActiveFillOpacity?: number;
    pointActiveSize?: number;
    pointActiveBorder?: number;
    pointActiveBorderColor: string;
    pointActiveBorderOpacity?: number;
    pointSelectedFillColor?: string;
    pointSelectedFillOpacity?: number;
    pointSelectedSize?: number;
    pointSelectedBorder: number;
    pointSelectedBorderColor: string;
    pointSelectedBorderOpacity?: number;
    pointInactiveFillColor?: string;
    pointInactiveFillOpacity: number;
    pointInactiveSize?: number;
    pointInactiveBorder?: number;
    pointInactiveBorderColor?: string;
    pointInactiveBorderOpacity: number;
    hollowPointSize: number;
    hollowPointBorder: number;
    hollowPointBorderColor: string;
    hollowPointBorderOpacity: number;
    hollowPointFillColor: string;
    hollowPointFillOpacity?: number;
    hollowPointActiveSize?: number;
    hollowPointActiveBorder: number;
    hollowPointActiveBorderColor: string;
    hollowPointActiveBorderOpacity: number;
    hollowPointSelectedSize?: number;
    hollowPointSelectedBorder: number;
    hollowPointSelectedBorderColor: string;
    hollowPointSelectedBorderOpacity: number;
    hollowPointInactiveSize?: number;
    hollowPointInactiveBorder?: number;
    hollowPointInactiveBorderColor?: string;
    hollowPointInactiveBorderOpacity: number;
    lineBorder: number;
    lineBorderColor: string;
    lineBorderOpacity: number;
    lineActiveBorder: number;
    lineActiveBorderColor?: string;
    lineActiveBorderOpacity?: number;
    lineSelectedBorder: number;
    lineSelectedBorderColor?: string;
    lineSelectedBorderOpacity?: number;
    lineInactiveBorder?: number;
    lineInactiveBorderColor?: string;
    lineInactiveBorderOpacity: number;
    areaBorder?: number;
    areaBorderColor?: string;
    areaBorderOpacity?: number;
    areaFillColor: string;
    areaFillOpacity: number;
    areaActiveBorder?: number;
    areaActiveBorderColor?: string;
    areaActiveBorderOpacity?: number;
    areaActiveFillColor: string;
    areaActiveFillOpacity: number;
    areaSelectedBorder?: number;
    areaSelectedBorderColor?: string;
    areaSelectedBorderOpacity?: number;
    areaSelectedFillColor: string;
    areaSelectedFillOpacity: number;
    areaInactiveBorder?: number;
    areaInactiveBorderColor?: string;
    areaInactiveBorderOpacity?: number;
    areaInactiveFillColor?: string;
    areaInactiveFillOpacity: number;
    hollowAreaBorder: number;
    hollowAreaBorderColor: string;
    hollowAreaBorderOpacity: number;
    hollowAreaActiveBorder: number;
    hollowAreaActiveBorderColor: string;
    hollowAreaActiveBorderOpacity?: number;
    hollowAreaSelectedBorder: number;
    hollowAreaSelectedBorderColor: string;
    hollowAreaSelectedBorderOpacity?: number;
    hollowAreaInactiveBorder?: number;
    hollowAreaInactiveBorderColor?: string;
    hollowAreaInactiveBorderOpacity: number;
    intervalBorder?: number;
    intervalBorderColor?: string;
    intervalBorderOpacity?: number;
    intervalFillColor: string;
    intervalFillOpacity: number;
    intervalActiveBorder: number;
    intervalActiveBorderColor: string;
    intervalActiveBorderOpacity: number;
    intervalActiveFillColor?: string;
    intervalActiveFillOpacity?: number;
    intervalSelectedBorder: number;
    intervalSelectedBorderColor: string;
    intervalSelectedBorderOpacity: number;
    intervalSelectedFillColor?: string;
    intervalSelectedFillOpacity?: number;
    intervalInactiveBorder?: number;
    intervalInactiveBorderColor?: string;
    intervalInactiveBorderOpacity: number;
    intervalInactiveFillColor?: string;
    intervalInactiveFillOpacity: number;
    hollowIntervalBorder: number;
    hollowIntervalBorderColor: string;
    hollowIntervalBorderOpacity: number;
    hollowIntervalFillColor: string;
    hollowIntervalFillOpacity?: number;
    hollowIntervalActiveBorder: number;
    hollowIntervalActiveBorderColor: string;
    hollowIntervalActiveBorderOpacity?: number;
    hollowIntervalSelectedBorder: number;
    hollowIntervalSelectedBorderColor: string;
    hollowIntervalSelectedBorderOpacity: number;
    hollowIntervalInactiveBorder?: number;
    hollowIntervalInactiveBorderColor?: string;
    hollowIntervalInactiveBorderOpacity: number;
    /** 图例与图表绘图区域的偏移距离  */
    legendSpacing: number;
};
export declare const antvDark: {
    backgroundColor: string;
    brandColor: string;
    subColor: string;
    paletteQualitative10: string[];
    paletteQualitative20: string[];
    paletteSemanticRed: string;
    paletteSemanticGreen: string;
    paletteSemanticYellow: string;
    paletteSequence: string[];
    fontFamily: string;
    axisLineBorderColor: string;
    axisLineBorder: number;
    axisLineDash: any;
    axisTitleTextFillColor: string;
    axisTitleTextFontSize: number;
    axisTitleTextLineHeight: number;
    axisTitleTextFontWeight: string | number;
    axisTitleSpacing: number;
    axisDescriptionIconFillColor: string;
    axisTickLineBorderColor: string;
    axisTickLineLength: number;
    axisTickLineBorder: number;
    axisSubTickLineBorderColor: string;
    axisSubTickLineLength: number;
    axisSubTickLineBorder: number;
    axisLabelFillColor: string;
    axisLabelFontSize: number;
    axisLabelLineHeight: number;
    axisLabelFontWeight: string | number;
    axisLabelOffset: number;
    axisGridBorderColor: string;
    axisGridBorder: number;
    axisGridLineDash: any;
    legendTitleTextFillColor: string;
    legendTitleTextFontSize: number;
    legendTitleTextLineHeight: number;
    legendTitleTextFontWeight: string | number;
    legendMarkerColor: string;
    legendMarkerSpacing: number;
    legendMarkerSize: number;
    legendCircleMarkerSize: number;
    legendSquareMarkerSize: number;
    legendLineMarkerSize: number;
    legendItemNameFillColor: string;
    legendItemNameFontSize: number;
    legendItemNameLineHeight: number;
    legendItemNameFontWeight: string | number;
    legendItemSpacing: number;
    legendItemMarginBottom: number;
    legendPadding: number[];
    legendHorizontalPadding: number[];
    legendVerticalPadding: number[];
    legendPageNavigatorMarkerSize: number;
    legendPageNavigatorMarkerInactiveFillColor: string;
    legendPageNavigatorMarkerInactiveFillOpacity: number;
    legendPageNavigatorMarkerFillColor: string;
    legendPageNavigatorMarkerFillOpacity: number;
    legendPageNavigatorTextFillColor: string;
    legendPageNavigatorTextFontSize: number;
    sliderRailFillColor: string;
    sliderRailBorder: number;
    sliderRailBorderColor: any;
    sliderRailWidth: number;
    sliderRailHeight: number;
    sliderLabelTextFillColor: string;
    sliderLabelTextFontSize: number;
    sliderLabelTextLineHeight: number;
    sliderLabelTextFontWeight: string | number;
    sliderHandlerFillColor: string;
    sliderHandlerWidth: number;
    sliderHandlerHeight: number;
    sliderHandlerBorder: number;
    sliderHandlerBorderColor: string;
    annotationArcBorderColor: string;
    annotationArcBorder: number;
    annotationLineBorderColor: string;
    annotationLineBorder: number;
    annotationLineDash: any;
    annotationTextFillColor: string;
    annotationTextFontSize: number;
    annotationTextLineHeight: number;
    annotationTextFontWeight: string | number;
    annotationTextBorderColor: any;
    annotationTextBorder: number;
    annotationRegionFillColor: string;
    annotationRegionFillOpacity: number;
    annotationRegionBorder: number;
    annotationRegionBorderColor: any;
    annotationDataMarkerLineLength: number;
    tooltipCrosshairsBorderColor: string;
    tooltipCrosshairsBorder: number;
    tooltipCrosshairsLineDash: any;
    tooltipContainerFillColor: string;
    tooltipContainerFillOpacity: number;
    tooltipContainerShadow: string;
    tooltipContainerBorderRadius: number;
    tooltipTextFillColor: string;
    tooltipTextFontSize: number;
    tooltipTextLineHeight: number;
    tooltipTextFontWeight: string | number;
    labelFillColor: string;
    labelFillColorDark: string;
    labelFillColorLight: string;
    labelFontSize: number;
    labelLineHeight: number;
    labelFontWeight: string | number;
    labelBorderColor: any;
    labelBorder: number;
    innerLabelFillColor: string;
    innerLabelFontSize: number;
    innerLabelLineHeight: number;
    innerLabelFontWeight: string | number;
    innerLabelBorderColor: any;
    innerLabelBorder: number;
    overflowLabelFillColor: string;
    overflowLabelFillColorDark: string;
    overflowLabelFillColorLight: string;
    overflowLabelFontSize: number;
    overflowLabelLineHeight: number;
    overflowLabelFontWeight: string | number;
    overflowLabelBorderColor: string;
    overflowLabelBorder: number;
    labelLineBorder: number;
    labelLineBorderColor: string;
    cSliderRailHieght: number;
    cSliderBackgroundFillColor: string;
    cSliderBackgroundFillOpacity: number;
    cSliderForegroundFillColor: string;
    cSliderForegroundFillOpacity: number;
    cSliderHandlerHeight: number;
    cSliderHandlerWidth: number;
    cSliderHandlerFillColor: string;
    cSliderHandlerFillOpacity: number;
    cSliderHandlerHighlightFillColor: string;
    cSliderHandlerBorderColor: string;
    cSliderHandlerBorder: number;
    cSliderHandlerBorderRadius: number;
    cSliderTextFillColor: string;
    cSliderTextFillOpacity: number;
    cSliderTextFontSize: number;
    cSliderTextLineHeight: number;
    cSliderTextFontWeight: string | number;
    cSliderTextBorderColor: any;
    cSliderTextBorder: number;
    scrollbarTrackFillColor: string;
    scrollbarThumbFillColor: string;
    scrollbarThumbHighlightFillColor: string;
    pointSizeRange?: [number, number];
    pointFillColor: string;
    pointFillOpacity: number;
    pointSize: number;
    pointBorder: number;
    pointBorderColor: string;
    pointBorderOpacity: number;
    pointActiveFillColor?: string;
    pointActiveFillOpacity?: number;
    pointActiveSize?: number;
    pointActiveBorder?: number;
    pointActiveBorderColor: string;
    pointActiveBorderOpacity?: number;
    pointSelectedFillColor?: string;
    pointSelectedFillOpacity?: number;
    pointSelectedSize?: number;
    pointSelectedBorder: number;
    pointSelectedBorderColor: string;
    pointSelectedBorderOpacity?: number;
    pointInactiveFillColor?: string;
    pointInactiveFillOpacity: number;
    pointInactiveSize?: number;
    pointInactiveBorder?: number;
    pointInactiveBorderColor?: string;
    pointInactiveBorderOpacity: number;
    hollowPointSize: number;
    hollowPointBorder: number;
    hollowPointBorderColor: string;
    hollowPointBorderOpacity: number;
    hollowPointFillColor: string;
    hollowPointFillOpacity?: number;
    hollowPointActiveSize?: number;
    hollowPointActiveBorder: number;
    hollowPointActiveBorderColor: string;
    hollowPointActiveBorderOpacity: number;
    hollowPointSelectedSize?: number;
    hollowPointSelectedBorder: number;
    hollowPointSelectedBorderColor: string;
    hollowPointSelectedBorderOpacity: number;
    hollowPointInactiveSize?: number;
    hollowPointInactiveBorder?: number;
    hollowPointInactiveBorderColor?: string;
    hollowPointInactiveBorderOpacity: number;
    lineBorder: number;
    lineBorderColor: string;
    lineBorderOpacity: number;
    lineActiveBorder: number;
    lineActiveBorderColor?: string;
    lineActiveBorderOpacity?: number;
    lineSelectedBorder: number;
    lineSelectedBorderColor?: string;
    lineSelectedBorderOpacity?: number;
    lineInactiveBorder?: number;
    lineInactiveBorderColor?: string;
    lineInactiveBorderOpacity: number;
    areaBorder?: number;
    areaBorderColor?: string;
    areaBorderOpacity?: number;
    areaFillColor: string;
    areaFillOpacity: number;
    areaActiveBorder?: number;
    areaActiveBorderColor?: string;
    areaActiveBorderOpacity?: number;
    areaActiveFillColor: string;
    areaActiveFillOpacity: number;
    areaSelectedBorder?: number;
    areaSelectedBorderColor?: string;
    areaSelectedBorderOpacity?: number;
    areaSelectedFillColor: string;
    areaSelectedFillOpacity: number;
    areaInactiveBorder?: number;
    areaInactiveBorderColor?: string;
    areaInactiveBorderOpacity?: number;
    areaInactiveFillColor?: string;
    areaInactiveFillOpacity: number;
    hollowAreaBorder: number;
    hollowAreaBorderColor: string;
    hollowAreaBorderOpacity: number;
    hollowAreaActiveBorder: number;
    hollowAreaActiveBorderColor: string;
    hollowAreaActiveBorderOpacity?: number;
    hollowAreaSelectedBorder: number;
    hollowAreaSelectedBorderColor: string;
    hollowAreaSelectedBorderOpacity?: number;
    hollowAreaInactiveBorder?: number;
    hollowAreaInactiveBorderColor?: string;
    hollowAreaInactiveBorderOpacity: number;
    intervalBorder?: number;
    intervalBorderColor?: string;
    intervalBorderOpacity?: number;
    intervalFillColor: string;
    intervalFillOpacity: number;
    intervalActiveBorder: number;
    intervalActiveBorderColor: string;
    intervalActiveBorderOpacity: number;
    intervalActiveFillColor?: string;
    intervalActiveFillOpacity?: number;
    intervalSelectedBorder: number;
    intervalSelectedBorderColor: string;
    intervalSelectedBorderOpacity: number;
    intervalSelectedFillColor?: string;
    intervalSelectedFillOpacity?: number;
    intervalInactiveBorder?: number;
    intervalInactiveBorderColor?: string;
    intervalInactiveBorderOpacity: number;
    intervalInactiveFillColor?: string;
    intervalInactiveFillOpacity: number;
    hollowIntervalBorder: number;
    hollowIntervalBorderColor: string;
    hollowIntervalBorderOpacity: number;
    hollowIntervalFillColor: string;
    hollowIntervalFillOpacity?: number;
    hollowIntervalActiveBorder: number;
    hollowIntervalActiveBorderColor: string;
    hollowIntervalActiveBorderOpacity?: number;
    hollowIntervalSelectedBorder: number;
    hollowIntervalSelectedBorderColor: string;
    hollowIntervalSelectedBorderOpacity: number;
    hollowIntervalInactiveBorder?: number;
    hollowIntervalInactiveBorderColor?: string;
    hollowIntervalInactiveBorderOpacity: number;
    /** 图例与图表绘图区域的偏移距离  */
    legendSpacing: number;
};
